const { Sequelize } = require('sequelize');
module.exports = new Sequelize(process.env.PGDATABASE, process.env.PGSER, process.env.PGPASSWORD, {
  dialect: 'postgres',
  logging: false,
  port: 5432,
  replication: {
    read: [
      { host: process.env.PGHOST_REPLICA, username: process.env.PGSER, password: process.env.PGPASSWORD },
      { host: process.env.PGHOST, username: process.env.PGSER, password: process.env.PGPASSWORD }
    ],
    write: { host: process.env.PGHOST, username: process.env.PGSER, password: process.env.PGPASSWORD }
  },
  pool: {
    max: 5000,
    idle: 30000
  },
});
